Skip to main content
GET
/
services
/
bens
/
api
/
v1
/
addresses:lookup
Get basic info about address for ens-lookup and blockscout quick-search. Sorted by `registration_date`
curl --request GET \
  --url https://api.blockscout.com/services/bens/api/v1/addresses:lookup \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "address": "<string>",
      "expiry_date": "<string>",
      "name": "<string>",
      "protocol": {
        "deployment_blockscout_base_url": "<string>",
        "description": "<string>",
        "docs_url": "<string>",
        "icon_url": "<string>",
        "id": "<string>",
        "short_name": "<string>",
        "title": "<string>",
        "tld_list": [
          "<string>"
        ]
      }
    }
  ],
  "next_page_params": {
    "page_size": 123,
    "page_token": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Query Parameters

address
string

Address of EOA or contract

chain_id
string<int64>
protocols
string

comma separated list of protocol ids. Default is ENS protocol only

all_protocols
boolean

If true, search across all supported protocols and ignore protocols. When chain_id is set, the search is scoped to all protocols on that chain.

resolved_to
boolean

Include domains resolved to the address

owned_by
boolean

Include domains owned by the address

only_active
boolean

Filtering field to remove expired domains

sort
string

Sorting field. Default is registration_date

order
enum<string>
default:ORDER_UNSPECIFIED

Order direction. Defaut is DESC

Available options:
ORDER_UNSPECIFIED,
ASC,
DESC
page_size
integer<int64>

Optional. Max number of items in single response. Default is 50

page_token
string

Optional. Value of .pagination.page_token from previous response

Response

A successful response.

items
List of domains that resolved to or owned by requested address Sorted by relevance, so first address could be displayed as main resolved address · object[]
next_page_params
object